%define name            nekohtml
%define version         0.7.4
%define release         1jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        HTML scanner and tag balancer
License:        Apache Software License
Source0:        http://www.apache.org/~andyc/neko/nekohtml-0.7.4.tar.gz
URL:            http://www.apache.org/~andyc/neko/doc/html/
BuildRequires:  ant, xerces-j2 >= 2.3.0
Requires:       xerces-j2 >= 2.3.0
Group:          Text Processing/Markup/HTML
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
NekoHTML is a simple HTML scanner and tag balancer that enables
application programmers to parse HTML documents and access the
information using standard XML interfaces. The parser can scan HTML
files and "fix up" many common mistakes that human (and computer)
authors make in writing HTML documents.  NekoHTML adds missing parent
elements; automatically closes elements with optional end tags; and
can handle mismatched inline element tags.
NekoHTML is written using the Xerces Native Interface (XNI) that is
the foundation of the Xerces2 implementation. This enables you to use
the NekoHTML parser with existing XNI tools without modification or
rewriting code.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Text Processing/Markup/HTML
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q
# Remove all binary libs.
find . -name "*.jar" -exec rm -f {} \;

# -----------------------------------------------------------------------------

%build
export CLASSPATH=%{javadir}/xerces-j2.jar
ant -f build-html.xml \
    -Djarfile=%{name}-%{version}.jar \
    -DjarfileXni=%{name}-xni-%{version}.jar \
    -DjarfileSamples=%{name}-samples-%{version}.jar \
    clean package test

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# Jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p bin/package/nekohtml-*/{%{name},%{name}-xni}-%{version}.jar \
  $RPM_BUILD_ROOT%{javadir}/
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# Samples
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p bin/package/nekohtml-*/%{name}-samples-%{version}.jar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr bin/package/nekohtml-*/doc/html/javadoc/* \
  $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

# Avoid having javadocs in %doc.
rm -rf bin/package/nekohtml-*/doc/html/javadoc

# Fix link between docs and javadoc.
(cd bin/package/nekohtml-*/doc/html; ln -sf %{javadocdir}/%{name}-%{version} javadoc)

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE* README* TODO* bin/package/nekohtml-*/doc/*
%{javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Tue Mar  4 2003 Ville Skytt <ville.skytta at iki.fi> - 0.7.4-1jpp
- Update to 0.7.4.

* Mon Feb 24 2003 Ville Skytt <ville.skytta at iki.fi> - 0.7.3-1jpp
- Update to 0.7.3.
- Built with IBM's 1.3.1 SR3 and xerces-j2 2.3.0.

* Sat Jan 11 2003 Ville Skytt <ville.skytta at iki.fi> - 0.7.2-1jpp
- Update to 0.7.2.
- Run unit tests when building.

* Tue Dec 10 2002 Ville Skytt <ville.skytta at iki.fi> - 0.7.1-1jpp
- Update to 0.7.1.

* Sun Nov  3 2002 Ville Skytt <ville.skytta at iki.fi> - 0.6.8-1jpp
- 0.6.8, first JPackage release.
